Bug Hunting Session
Bug 47764 - 3.5.1 blorks on RTF files which 3.4.5 opened correctly
Summary: 3.5.1 blorks on RTF files which 3.4.5 opened correctly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All Linux (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0 target:3.5.4
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-03-23 05:42 UTC by ryan.jendoubi@gmail.com
Modified: 2015-12-17 12:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF doc opened in LO 3.4.5: success (112.74 KB, image/png)
2012-03-23 05:42 UTC, ryan.jendoubi@gmail.com
Details
RTF doc opened in LO 3.5.1: failure (106.73 KB, image/png)
2012-03-23 05:43 UTC, ryan.jendoubi@gmail.com
Details
RTF document in question (5.27 KB, text/rtf)
2012-03-23 05:45 UTC, ryan.jendoubi@gmail.com
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ryan.jendoubi@gmail.com 2012-03-23 05:42:55 UTC
Created attachment 58921 [details]
RTF doc opened in LO 3.4.5: success

Not much more to say. The problem occurs whether opening the file with a double-click or through the File menu.

See attachments:
 * Screenshot of document successfully opened in LO 3.4.5
 * Screenshot of document opened incorrectly in LO 3.5.1
 * Document in question

The document is from a legal journals database, but I have removed the bulk of the text (using vi so as to preserve whatever is causing the issue) and I believe this to be fair use in that the copyright holder's interests are in no way prejudiced.
Comment 1 ryan.jendoubi@gmail.com 2012-03-23 05:43:49 UTC
Created attachment 58922 [details]
RTF doc opened in LO 3.5.1: failure
Comment 2 ryan.jendoubi@gmail.com 2012-03-23 05:45:09 UTC
Created attachment 58923 [details]
RTF document in question
Comment 3 s-joyemusequna 2012-03-23 06:08:27 UTC
Confirmed with LibO 3.5.2 RC1. (Windows XP / Vista 64)

Works fine with libO 3.4.5 (and Word 2007) => REGRESSION
Comment 4 Jean-Baptiste Faure 2012-03-24 02:00:54 UTC
Indeed :-(
Abiword opens this file without complaint, but gedit (text editor) says that it contains invalid characters.
Wordpad (Ubuntu/Wine) opens the file but don't show the picture.
If I open the file with Abiword, delete the picture and resave the document as RTF file, then LO 3.5.3 rc0+ open the file with only one glitch: the text is on the second page.
If I do the same with LO 3.4.5 (delete the picture and resave as RTF), then this new version of the RTF file crashes LO 3.5.3 rc0+ with the following error message: 
terminate called after throwing an instance of 'std::bad_alloc'
  what():  std::bad_alloc
Aborted (core dumped)

All my tests have been made under Ubuntu 11.10 x86_64.

Miklos: it is one for you I guess. Please, feel free to reassign if you can't handle this bug.

Best regards. JBF
Comment 5 Miklos Vajna 2012-05-02 06:11:04 UTC
Confirmed, will have a look.
Comment 6 Miklos Vajna 2012-05-02 08:34:34 UTC
OK, the problem here is that the document contains a \cbpat0 token, where 0 should mean auto, but it's parsed as "black". This wasn't a problem with 3.4.x, which didn't support black paragraph background at all. :)
Comment 7 Not Assigned 2012-05-02 09:15:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8706d7a110547c04e6db9ed75b2e7f74bd6d0bd

fdo#47764 fix RTF import of automatic paragraph background color
Comment 8 Miklos Vajna 2012-05-02 09:18:56 UTC
Fixed in master, will request backport to -3-5 as usual. Note that the other problem was the \bin keyword, which is already on its way to 3.5.4.
Comment 9 ryan.jendoubi@gmail.com 2012-05-02 10:28:47 UTC
Fantastic! Thanks a lot. Niggles with Template files & stuff notwithstanding I think I can actually upgrade to 3.5 once this lands :-)

Thanks again!
Comment 10 Not Assigned 2012-05-09 02:56:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34d7dc5145013900ac0f7f31f92beb01c858461a&g=libreoffice-3-5

fdo#47764 fix RTF import of automatic paragraph background color


It will be available in LibreOffice 3.5.4.
Comment 11 s-joyemusequna 2012-05-18 23:47:07 UTC
Verified with LOdev 3.6 (master - 18-May-2012 02h44 x86@6-fast; Build ID: 8b1d29b) under Windows Vista 64.
Comment 12 Robinson Tryon (qubit) 2015-12-17 12:05:25 UTC Comment hidden (obsolete)